// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S024_Stopwords.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S024_Stopwords extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1, 1
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\4"+
    "\1\0\1\5\3\0\1\6\1\7\4\0\1\10\1\11"+
    "\1\12\1\13\12\14\1\15\1\16\5\0\1\17\1\20"+
    "\1\21\1\22\1\23\1\24\1\25\1\26\1\27\1\30"+
    "\1\31\1\32\1\33\1\34\1\35\1\36\1\37\1\40"+
    "\1\41\1\42\1\43\1\44\1\30\1\45\1\30\1\46"+
    "\1\47\1\50\1\51\1\0\1\52\1\7\1\53\1\54"+
    "\1\55\1\56\1\57\1\60\1\61\1\62\1\63\1\64"+
    "\1\65\1\66\1\67\1\70\1\71\1\72\1\73\1\74"+
    "\1\75\1\76\1\77\1\100\1\64\1\101\1\64\1\102"+
    "\71\0\1\7\13\0\2\103\4\104\1\0\1\104\2\105"+
    "\6\104\1\0\6\104\2\0\4\104\3\0\2\103\4\104"+
    "\1\0\1\104\2\105\6\104\1\0\6\104\2\0\4\104"+
    "\53\0\2\104\6\0\2\106\66\0\2\104\4\0\2\104"+
    "\17\0\1\107\u0188\0\2\104\216\0\2\104\42\0\2\104"+
    "\104\0\1\110\20\0\2\11\4\0\1\7\u0110\0\1\111"+
    "\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\6\0\12\1\2\2\56\0\2\3\1\4\3\0\1\3"+
    "\4\0\1\5\10\0\1\6\2\0\2\7\10\0\1\10"+
    "\3\0\1\11\1\0\1\12\1\0\2\13\3\0\1\13"+
    "\1\0\1\5\25\0\2\14\2\15\3\0\1\15\6\0"+
    "\1\12\2\16\11\0\2\17\3\0\1\17\2\20\1\21"+
    "\6\0\1\22\2\0\1\23\10\0\1\4\20\0\1\24"+
    "\2\25\1\0\2\26\5\0\2\27\36\0\1\24\7\0"+
    "\1\30\16\0\1\31\6\0\1\32\3\0\1\33\20\0"+
    "\1\31\1\32\1\33\26\0\1\11\7\0\1\11\24\0"+
    "\2\34\70\0\1\11\1\0\1\11\10\0\1\35\165\0"+
    "\1\36\2\0\2\37";

  private static int [] zzUnpackAction() {
    int [] result = new int[544];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\112\0\224\0\336\0\u0128\0\u0172\0\u01bc\0\u0206"+
    "\0\u0250\0\u029a\0\u02e4\0\u032e\0\u0378\0\u03c2\0\u040c\0\u0456"+
    "\0\u0378\0\u04a0\0\u04ea\0\u0534\0\u057e\0\u05c8\0\u0612\0\u065c"+
    "\0\u06a6\0\u05c8\0\u06f0\0\u073a\0\u0784\0\u07ce\0\u0818\0\u0862"+
    "\0\u08ac\0\u08f6\0\u0940\0\u098a\0\u09d4\0\u0a1e\0\u0a68\0\u0ab2"+
    "\0\u0afc\0\u0b46\0\u0b90\0\u01bc\0\u0bda\0\u0c24\0\u0c6e\0\u0cb8"+
    "\0\u0d02\0\u0d4c\0\u0d96\0\u0de0\0\u0e2a\0\u0e74\0\u0ebe\0\u0f08"+
    "\0\u0f52\0\u0378\0\u0f9c\0\u0fe6\0\u1030\0\u107a\0\u10c4\0\u110e"+
    "\0\u0378\0\u1158\0\u0378\0\u11a2\0\u11ec\0\u1236\0\u11ec\0\u1280"+
    "\0\u12ca\0\u1314\0\u135e\0\u13a8\0\u13f2\0\u143c\0\u13a8\0\u1486"+
    "\0\u14d0\0\u151a\0\u1564\0\u15ae\0\u1564\0\u15f8\0\u1642\0\u0378"+
    "\0\u168c\0\u16d6\0\u1720\0\u176a\0\u17b4\0\u17fe\0\u1848\0\u1892"+
    "\0\u18dc\0\u0378\0\u1926\0\u1970\0\u19ba\0\u1a04\0\u1a4e\0\u0378"+
    "\0\u1a98\0\u0378\0\u1ae2\0\u1b2c\0\u1b76\0\u1bc0\0\u1b76\0\u1c0a"+
    "\0\u1b76\0\u1c54\0\u1c9e\0\u1ce8\0\u1d32\0\u1d7c\0\u1dc6\0\u1e10"+
    "\0\u1e5a\0\u1ea4\0\u1eee\0\u1f38\0\u1f82\0\u1fcc\0\u2016\0\u2060"+
    "\0\u20aa\0\u20f4\0\u213e\0\u2188\0\u21d2\0\u221c\0\u0378\0\u2266"+
    "\0\u0378\0\u22b0\0\u22fa\0\u2344\0\u238e\0\u2344\0\u23d8\0\u2422"+
    "\0\u246c\0\u24b6\0\u2500\0\u254a\0\u2594\0\u0378\0\u25de\0\u2628"+
    "\0\u2672\0\u26bc\0\u2706\0\u2750\0\u279a\0\u27e4\0\u282e\0\u2878"+
    "\0\u0378\0\u28c2\0\u290c\0\u2956\0\u29a0\0\u2956\0\u0378\0\u29ea"+
    "\0\u2a34\0\u2a34\0\u2a7e\0\u2ac8\0\u2b12\0\u2b5c\0\u2ba6\0\u0378"+
    "\0\u2bf0\0\u2c3a\0\u0378\0\u2c84\0\u2cce\0\u2d18\0\u2d62\0\u2dac"+
    "\0\u2df6\0\u2e40\0\u2e8a\0\u2ed4\0\u2f1e\0\u2f68\0\u2fb2\0\u2ffc"+
    "\0\u3046\0\u3090\0\u30da\0\u3124\0\u316e\0\u31b8\0\u3202\0\u324c"+
    "\0\u3296\0\u32e0\0\u332a\0\u3374\0\u11ec\0\u0378\0\u33be\0\u3408"+
    "\0\u0378\0\u3452\0\u349c\0\u34e6\0\u3530\0\u357a\0\u35c4\0\u0378"+
    "\0\u360e\0\u3658\0\u36a2\0\u36ec\0\u3736\0\u3780\0\u37ca\0\u3814"+
    "\0\u385e\0\u38a8\0\u38f2\0\u393c\0\u3986\0\u39d0\0\u3a1a\0\u3a64"+
    "\0\u3aae\0\u3af8\0\u3b42\0\u3b8c\0\u3bd6\0\u3c20\0\u3c6a\0\u3cb4"+
    "\0\u3cfe\0\u3d48\0\u3d92\0\u3ddc\0\u3e26\0\u3e70\0\u3eba\0\u1b76"+
    "\0\u3f04\0\u3f4e\0\u3f98\0\u3fe2\0\u402c\0\u4076\0\u40c0\0\u0378"+
    "\0\u410a\0\u4154\0\u419e\0\u41e8\0\u4232\0\u427c\0\u42c6\0\u4310"+
    "\0\u435a\0\u43a4\0\u43ee\0\u4438\0\u4482\0\u44cc\0\u2344\0\u4516"+
    "\0\u4560\0\u45aa\0\u45f4\0\u463e\0\u4688\0\u15ae\0\u46d2\0\u471c"+
    "\0\u4766\0\u2956\0\u47b0\0\u47fa\0\u4844\0\u488e\0\u48d8\0\u4922"+
    "\0\u496c\0\u49b6\0\u4a00\0\u4a4a\0\u4a94\0\u4ade\0\u4b28\0\u4b72"+
    "\0\u4bbc\0\u4c06\0\u1b76\0\u1b76\0\u1b76\0\u4c50\0\u4c9a\0\u4ce4"+
    "\0\u4d2e\0\u4d78\0\u4dc2\0\u4e0c\0\u4e56\0\u4ea0\0\u4eea\0\u4f34"+
    "\0\u4f7e\0\u4fc8\0\u5012\0\u505c\0\u50a6\0\u50f0\0\u513a\0\u5184"+
    "\0\u51ce\0\u5218\0\u5262\0\u0378\0\u52ac\0\u52f6\0\u5340\0\u538a"+
    "\0\u53d4\0\u541e\0\u5468\0\u54b2\0\u54fc\0\u5546\0\u5590\0\u55da"+
    "\0\u5624\0\u566e\0\u56b8\0\u5702\0\u574c\0\u5796\0\u57e0\0\u582a"+
    "\0\u5874\0\u58be\0\u5908\0\u5952\0\u599c\0\u59e6\0\u5a30\0\u5a7a"+
    "\0\u0378\0\u5ac4\0\u5b0e\0\u5b58\0\u5ba2\0\u5bec\0\u5c36\0\u5c80"+
    "\0\u5cca\0\u5d14\0\u5d5e\0\u5da8\0\u5df2\0\u5e3c\0\u5e86\0\u5ed0"+
    "\0\u5f1a\0\u5f64\0\u5fae\0\u5ff8\0\u6042\0\u608c\0\u60d6\0\u6120"+
    "\0\u616a\0\u61b4\0\u61fe\0\u6248\0\u6292\0\u62dc\0\u6326\0\u6370"+
    "\0\u63ba\0\u6404\0\u644e\0\u6498\0\u64e2\0\u652c\0\u6576\0\u65c0"+
    "\0\u660a\0\u6654\0\u669e\0\u66e8\0\u6732\0\u677c\0\u67c6\0\u6810"+
    "\0\u685a\0\u68a4\0\u68ee\0\u6938\0\u6982\0\u69cc\0\u6a16\0\u6a60"+
    "\0\u6aaa\0\u6af4\0\u6b3e\0\u6b88\0\u6bd2\0\u6c1c\0\u6c66\0\u6cb0"+
    "\0\u6cfa\0\u6d44\0\u6d8e\0\u6dd8\0\u6e22\0\u0378\0\u6e6c\0\u6eb6"+
    "\0\u6f00\0\u6f4a\0\u6f94\0\u6fde\0\u7028\0\u7072\0\u70bc\0\u7106"+
    "\0\u7150\0\u719a\0\u71e4\0\u722e\0\u7278\0\u72c2\0\u730c\0\u7356"+
    "\0\u73a0\0\u73ea\0\u7434\0\u747e\0\u74c8\0\u7512\0\u755c\0\u75a6"+
    "\0\u75f0\0\u763a\0\u7684\0\u76ce\0\u7718\0\u7762\0\u77ac\0\u77f6"+
    "\0\u7840\0\u788a\0\u78d4\0\u791e\0\u7968\0\u79b2\0\u79fc\0\u7a46"+
    "\0\u7a90\0\u7ada\0\u7b24\0\u7b6e\0\u7bb8\0\u7c02\0\u7c4c\0\u7c96"+
    "\0\u7ce0\0\u7d2a\0\u7d74\0\u7dbe\0\u7e08\0\u7e52\0\u7e9c\0\u7ee6"+
    "\0\u7f30\0\u7f7a\0\u7fc4\0\u800e\0\u8058\0\u80a2\0\u80ec\0\u8136"+
    "\0\u8180\0\u81ca\0\u8214\0\u825e\0\u82a8\0\u82f2\0\u833c\0\u8386"+
    "\0\u83d0\0\u841a\0\u8464\0\u84ae\0\u84f8\0\u8542\0\u858c\0\u85d6"+
    "\0\u8620\0\u866a\0\u86b4\0\u86fe\0\u8748\0\u8792\0\u87dc\0\u8826"+
    "\0\u8870\0\u88ba\0\u8904\0\u894e\0\u8998\0\u89e2\0\u8a2c\0\u8a76"+
    "\0\u8ac0\0\u8b0a\0\u8b54\0\u8b9e\0\u8be8\0\u8c32\0\u8c7c\0\u8cc6"+
    "\0\u8d10\0\u8d5a\0\u8da4\0\u8dee\0\u8e38\0\u0378\0\u8e82\0\u8ecc"+
    "\0\u8f16\0\u8f60\0\u8faa\0\u0378\0\u8ff4\0\u903e\0\u0378\0\u9088";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[544];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\2\7\1\10\1\11\1\12\1\7\1\13\1\7\1\10"+
    "\1\14\1\7\1\14\1\15\2\7\22\15\1\16\5\15"+
    "\1\17\1\14\1\7\1\14\22\15\1\16\10\15\1\7"+
    "\1\20\1\10\1\7\47\21\1\22\42\21\2\0\1\23"+
    "\1\0\1\23\1\0\1\24\1\0\1\23\77\0\1\23"+
    "\52\0\1\25\54\0\1\26\15\0\1\27\5\0\1\30"+
    "\1\31\24\0\1\27\5\0\1\30\1\31\11\0\1\31"+
    "\21\0\30\32\4\0\30\32\26\0\1\33\1\0\1\34"+
    "\1\35\1\0\1\36\1\37\1\0\1\40\2\0\1\41"+
    "\1\42\1\43\1\44\1\45\1\46\1\0\1\47\1\36"+
    "\1\50\7\0\1\33\1\0\1\34\1\35\1\0\1\36"+
    "\1\37\1\0\1\40\2\0\1\41\1\42\1\43\1\44"+
    "\1\45\1\46\1\0\1\47\1\36\1\50\6\0\1\40"+
    "\1\47\21\0\1\33\1\0\1\34\1\35\1\51\1\36"+
    "\1\37\1\0\1\40\2\0\1\41\1\42\1\52\1\44"+
    "\1\45\1\46\1\0\1\47\1\36\1\50\7\0\1\33"+
    "\1\0\1\34\1\35\1\53\1\36\1\37\1\0\1\40"+
    "\2\0\1\41\1\42\1\52\1\44\1\45\1\46\1\0"+
    "\1\47\1\36\1\50\6\0\1\40\1\47\4\0\1\54"+
    "\14\0\1\33\1\0\1\34\1\35\1\0\1\36\1\37"+
    "\1\0\1\40\2\0\1\41\1\42\1\43\1\44\1\45"+
    "\1\46\1\0\1\47\1\36\1\50\7\0\1\33\1\0"+
    "\1\34\1\35\1\0\1\36\1\37\1\0\1\40\2\0"+
    "\1\41\1\42\1\43\1\44\1\45\1\46\1\0\1\47"+
    "\1\36\1\50\6\0\1\40\1\47\21\0\1\33\1\0"+
    "\1\34\1\35\1\51\1\36\1\37\1\0\1\55\2\0"+
    "\1\41\1\42\1\52\1\44\1\45\1\46\1\0\1\47"+
    "\1\36\1\50\7\0\1\33\1\0\1\34\1\35\1\53"+
    "\1\36\1\37\1\0\1\55\2\0\1\41\1\42\1\52"+
    "\1\44\1\45\1\46\1\0\1\47\1\36\1\50\6\0"+
    "\1\55\1\47\21\0\1\33\1\0\1\34\1\35\1\0"+
    "\1\36\1\37\1\0\1\40\2\0\1\41\1\42\1\56"+
    "\1\44\1\45\1\46\1\0\1\47\1\36\1\50\7\0"+
    "\1\33\1\0\1\34\1\35\1\0\1\36\1\37\1\0"+
    "\1\40\2\0\1\41\1\42\1\56\1\44\1\45\1\46"+
    "\1\0\1\47\1\36\1\50\6\0\1\40\1\47\21\0"+
    "\1\57\1\0\1\60\1\61\1\0\1\62\1\37\1\0"+
    "\1\63\2\0\1\41\1\42\1\64\1\44\1\65\1\46"+
    "\1\0\1\66\1\62\1\50\7\0\1\57\1\0\1\60"+
    "\1\61\1\0\1\62\1\37\1\0\1\63\2\0\1\41"+
    "\1\42\1\64\1\44\1\65\1\46\1\0\1\66\1\62"+
    "\1\50\6\0\1\63\1\66\137\0\1\67\33\0\1\67"+
    "\51\0\1\33\1\0\1\34\1\35\1\0\1\36\1\37"+
    "\1\0\1\40\2\0\1\70\1\42\1\43\1\44\1\45"+
    "\1\46\1\0\1\47\1\36\1\50\7\0\1\33\1\0"+
    "\1\34\1\35\1\0\1\36\1\37\1\0\1\40\2\0"+
    "\1\70\1\42\1\43\1\44\1\45\1\46\1\0\1\47"+
    "\1\36\1\50\6\0\1\40\1\47\21\0\1\33\1\0"+
    "\1\34\1\35\1\67\1\36\1\37\1\0\1\40\2\0"+
    "\1\41\1\42\1\43\1\44\1\45\1\46\1\0\1\47"+
    "\1\36\1\50\7\0\1\33\1\0\1\34\1\35\1\67"+
    "\1\36\1\37\1\0\1\40\2\0\1\41\1\42\1\43"+
    "\1\44\1\45\1\46\1\0\1\47\1\36\1\50\6\0"+
    "\1\40\1\47\15\0\1\71\155\0\1\72\66\0\1\73"+
    "\33\0\1\73\55\0\1\74\33\0\1\74\35\0\1\26"+
    "\120\0\1\75\33\0\1\75\55\0\1\76\33\0\1\76"+
    "\55\0\1\77\3\0\1\100\27\0\1\77\3\0\1\100"+
    "\22\0\1\100\3\0\3\101\1\102\4\101\1\0\1\103"+
    "\1\0\1\103\1\0\1\101\7\0\1\104\1\0\1\105"+
    "\2\0\1\106\14\0\1\101\1\103\1\101\1\103\6\0"+
    "\1\104\1\0\1\105\2\0\1\106\17\0\1\107\3\101"+
    "\26\0\1\110\1\111\5\0\1\112\5\0\1\113\16\0"+
    "\1\110\1\111\5\0\1\112\5\0\1\113\6\0\1\111"+
    "\12\0\1\114\7\0\1\115\3\0\1\116\3\0\1\117"+
    "\23\0\1\115\3\0\1\116\3\0\1\117\22\0\1\117"+
    "\43\0\1\120\33\0\1\120\44\0\1\121\2\0\1\122"+
    "\30\0\1\121\2\0\1\122\17\0\1\121\35\0\1\123"+
    "\1\0\1\124\31\0\1\123\1\0\1\124\30\0\1\125"+
    "\7\0\1\123\3\0\1\123\11\0\1\123\15\0\1\123"+
    "\3\0\1\123\11\0\1\123\43\0\1\126\33\0\1\126"+
    "\55\0\1\127\33\0\1\127\32\0\3\130\1\131\4\130"+
    "\1\0\1\130\1\0\1\130\1\0\1\130\20\0\1\132"+
    "\5\0\1\133\2\0\4\130\17\0\1\132\5\0\1\133"+
    "\5\0\4\130\23\0\1\134\14\0\1\135\16\0\1\134"+
    "\14\0\1\135\60\0\1\136\33\0\1\136\54\0\1\137"+
    "\1\140\32\0\1\137\1\140\46\0\1\141\33\0\1\141"+
    "\23\0\1\142\1\0\1\142\1\0\1\143\1\0\1\142"+
    "\11\0\1\144\33\0\1\144\31\0\1\142\24\0\1\127"+
    "\11\0\1\145\21\0\1\127\11\0\1\145\22\0\1\142"+
    "\1\0\1\142\1\0\1\143\1\0\1\142\3\0\1\146"+
    "\5\0\1\144\24\0\1\147\6\0\1\144\31\0\1\142"+
    "\5\0\1\150\25\0\1\123\1\0\1\124\31\0\1\123"+
    "\1\0\1\124\41\0\1\151\2\0\1\127\30\0\1\151"+
    "\2\0\1\127\32\0\3\152\1\153\6\152\1\0\1\152"+
    "\1\0\2\152\6\0\1\154\1\0\1\155\2\0\1\156"+
    "\14\0\4\152\6\0\1\154\1\0\1\155\2\0\1\156"+
    "\17\0\1\157\3\152\26\0\1\110\1\111\5\0\1\160"+
    "\5\0\1\113\16\0\1\110\1\111\5\0\1\160\5\0"+
    "\1\113\6\0\1\111\12\0\1\161\7\0\1\162\3\0"+
    "\1\163\3\0\1\155\23\0\1\162\3\0\1\163\3\0"+
    "\1\155\22\0\1\155\43\0\1\164\33\0\1\164\47\0"+
    "\1\123\1\0\1\155\31\0\1\123\1\0\1\155\44\0"+
    "\1\165\33\0\1\165\55\0\1\166\14\0\1\135\16\0"+
    "\1\166\14\0\1\135\57\0\1\137\1\167\32\0\1\137"+
    "\1\167\60\0\1\170\33\0\1\170\16\0\1\125\7\0"+
    "\1\123\3\0\1\123\5\0\1\171\3\0\1\123\15\0"+
    "\1\123\3\0\1\123\5\0\1\171\3\0\1\123\17\0"+
    "\1\171\32\0\1\172\33\0\1\172\43\0\1\173\33\0"+
    "\1\173\66\0\1\174\33\0\1\174\23\0\1\174\33\0"+
    "\1\175\33\0\1\175\64\0\1\176\33\0\1\176\42\0"+
    "\1\177\33\0\1\177\22\0\1\177\23\0\1\200\33\0"+
    "\1\200\37\0\1\101\141\0\1\201\33\0\1\201\23\0"+
    "\3\101\1\102\4\101\1\0\1\103\1\0\1\103\1\0"+
    "\1\101\31\0\1\101\1\103\1\101\1\103\33\0\7\101"+
    "\1\102\4\101\1\0\1\103\1\0\1\103\1\0\1\101"+
    "\14\0\1\202\14\0\1\101\1\103\1\101\1\103\13\0"+
    "\1\202\17\0\4\101\23\0\1\203\33\0\1\203\74\0"+
    "\1\204\33\0\1\204\45\0\1\205\1\206\1\205\31\0"+
    "\1\205\1\206\1\205\50\0\1\203\33\0\1\203\22\0"+
    "\1\203\3\0\3\207\1\210\4\207\1\0\1\103\1\0"+
    "\1\103\1\0\1\207\31\0\1\207\1\103\1\207\1\103"+
    "\33\0\4\207\3\211\1\212\4\211\1\0\1\103\1\0"+
    "\1\103\1\0\1\211\7\0\1\213\1\0\1\214\2\0"+
    "\1\215\14\0\1\211\1\103\1\211\1\103\6\0\1\213"+
    "\1\0\1\214\2\0\1\215\17\0\1\216\3\211\25\0"+
    "\1\217\1\0\1\117\2\0\1\220\26\0\1\217\1\0"+
    "\1\117\2\0\1\220\17\0\1\117\22\0\1\221\33\0"+
    "\1\221\44\0\1\222\10\0\1\223\33\0\1\223\27\0"+
    "\1\224\35\0\1\123\33\0\1\123\22\0\1\123\3\0"+
    "\3\150\1\225\4\150\1\0\1\150\1\0\1\150\1\0"+
    "\1\150\31\0\4\150\33\0\4\150\3\226\1\227\4\226"+
    "\1\0\1\103\1\0\1\103\1\0\1\226\31\0\1\226"+
    "\1\103\1\226\1\103\33\0\4\226\22\0\1\230\11\0"+
    "\1\231\21\0\1\230\11\0\1\231\46\0\1\232\1\0"+
    "\1\124\2\0\1\233\26\0\1\232\1\0\1\124\2\0"+
    "\1\233\17\0\1\124\5\0\1\130\145\0\1\234\33\0"+
    "\1\234\63\0\1\235\33\0\1\235\51\0\1\221\33\0"+
    "\1\221\40\0\1\236\33\0\1\236\51\0\1\237\33\0"+
    "\1\237\61\0\1\240\33\0\1\240\32\0\3\241\1\242"+
    "\4\241\1\0\1\103\1\0\1\103\1\0\1\241\7\0"+
    "\1\243\1\0\1\244\2\0\1\245\14\0\1\241\1\103"+
    "\1\241\1\103\6\0\1\243\1\0\1\244\2\0\1\245"+
    "\17\0\1\246\3\241\3\247\1\250\3\247\1\251\1\0"+
    "\1\247\1\0\1\247\1\0\1\247\1\0\1\252\15\0"+
    "\1\252\11\0\4\247\1\252\15\0\1\252\14\0\4\247"+
    "\34\0\1\253\33\0\1\253\23\0\1\142\1\0\1\142"+
    "\1\0\1\143\1\0\1\142\77\0\1\142\35\0\1\254"+
    "\33\0\1\254\22\0\4\255\1\0\1\256\2\0\1\257"+
    "\2\0\1\146\2\0\30\260\3\0\1\257\30\260\5\0"+
    "\1\255\33\0\1\261\33\0\1\261\64\0\1\262\33\0"+
    "\1\262\11\0\1\262\4\0\1\263\141\0\1\264\33\0"+
    "\1\264\23\0\3\152\1\153\6\152\1\0\1\152\1\0"+
    "\2\152\30\0\4\152\33\0\7\152\1\153\6\152\1\0"+
    "\1\152\1\0\2\152\13\0\1\265\14\0\4\152\13\0"+
    "\1\265\17\0\4\152\32\0\1\155\1\206\1\155\31\0"+
    "\1\155\1\206\1\155\21\0\3\152\1\153\6\152\1\0"+
    "\1\152\1\0\2\152\6\0\1\154\1\0\1\155\2\0"+
    "\1\266\14\0\4\152\6\0\1\154\1\0\1\155\2\0"+
    "\1\266\17\0\1\157\3\152\25\0\1\154\1\0\1\155"+
    "\2\0\1\267\26\0\1\154\1\0\1\155\2\0\1\267"+
    "\17\0\1\155\22\0\1\155\33\0\1\155\63\0\1\154"+
    "\1\0\1\155\2\0\1\270\26\0\1\154\1\0\1\155"+
    "\2\0\1\270\17\0\1\155\43\0\1\155\33\0\1\155"+
    "\15\0\3\152\1\153\6\152\1\0\1\152\1\0\2\152"+
    "\6\0\1\154\1\0\1\155\2\0\1\271\14\0\4\152"+
    "\6\0\1\154\1\0\1\155\2\0\1\271\17\0\1\157"+
    "\3\152\1\0\4\272\1\0\1\273\3\0\1\272\14\0"+
    "\1\274\33\0\1\274\22\0\1\274\1\0\1\272\35\0"+
    "\1\275\33\0\1\275\52\0\1\276\33\0\1\276\23\0"+
    "\1\276\41\0\1\277\33\0\1\277\11\0\1\277\34\0"+
    "\1\300\33\0\1\300\46\0\1\301\33\0\1\301\33\0"+
    "\3\302\1\303\4\0\1\304\4\0\1\305\1\306\21\0"+
    "\1\307\10\0\1\304\1\306\21\0\1\307\11\0\1\307"+
    "\1\302\22\0\1\310\12\0\1\311\5\0\1\312\1\313"+
    "\1\311\1\314\7\0\1\310\12\0\1\311\5\0\1\312"+
    "\1\313\1\311\1\314\11\0\3\302\1\303\4\0\1\304"+
    "\4\0\1\305\22\0\1\307\10\0\1\304\22\0\1\307"+
    "\11\0\1\307\1\302\30\0\1\105\33\0\1\105\22\0"+
    "\1\105\12\0\1\315\7\0\1\105\3\0\1\105\11\0"+
    "\1\105\15\0\1\105\3\0\1\105\11\0\1\105\20\0"+
    "\3\316\1\317\6\316\1\0\1\316\1\0\2\316\30\0"+
    "\4\316\33\0\4\316\17\0\1\320\33\0\1\320\36\0"+
    "\3\321\1\322\4\321\1\0\1\103\1\0\1\103\1\0"+
    "\1\321\31\0\1\321\1\103\1\321\1\103\33\0\4\321"+
    "\36\0\1\323\33\0\1\323\21\0\1\207\111\0\1\211"+
    "\141\0\1\324\33\0\1\324\23\0\3\211\1\212\4\211"+
    "\1\0\1\103\1\0\1\103\1\0\1\211\31\0\1\211"+
    "\1\103\1\211\1\103\33\0\7\211\1\212\4\211\1\0"+
    "\1\103\1\0\1\103\1\0\1\211\14\0\1\325\14\0"+
    "\1\211\1\103\1\211\1\103\13\0\1\325\17\0\4\211"+
    "\32\0\1\326\33\0\1\326\23\0\3\207\1\210\4\207"+
    "\1\0\1\103\1\0\1\103\1\0\1\207\14\0\1\327"+
    "\14\0\1\207\1\103\1\207\1\103\13\0\1\327\17\0"+
    "\4\207\3\330\1\331\4\330\1\0\1\103\1\0\1\103"+
    "\1\0\1\330\31\0\1\330\1\103\1\330\1\103\33\0"+
    "\4\330\17\0\1\332\33\0\1\332\37\0\4\224\1\0"+
    "\1\333\1\224\11\0\1\334\11\0\1\335\2\0\1\336"+
    "\16\0\1\334\11\0\1\335\2\0\1\336\15\0\1\224"+
    "\2\0\4\224\1\0\1\333\12\0\1\334\11\0\1\335"+
    "\2\0\1\336\16\0\1\334\11\0\1\335\2\0\1\336"+
    "\15\0\1\224\3\0\1\150\111\0\1\226\132\0\1\337"+
    "\33\0\1\337\100\0\1\340\33\0\1\340\41\0\1\341"+
    "\33\0\1\341\23\0\3\226\1\227\4\226\1\0\1\103"+
    "\1\0\1\103\1\0\1\226\14\0\1\342\14\0\1\226"+
    "\1\103\1\226\1\103\13\0\1\342\17\0\4\226\43\0"+
    "\1\343\33\0\1\343\35\0\1\344\33\0\1\344\54\0"+
    "\1\345\33\0\1\345\65\0\1\110\33\0\1\110\64\0"+
    "\1\346\33\0\1\346\11\0\1\346\4\0\1\241\141\0"+
    "\1\347\33\0\1\347\23\0\3\241\1\242\4\241\1\0"+
    "\1\103\1\0\1\103\1\0\1\241\31\0\1\241\1\103"+
    "\1\241\1\103\33\0\7\241\1\242\4\241\1\0\1\103"+
    "\1\0\1\103\1\0\1\241\14\0\1\350\14\0\1\241"+
    "\1\103\1\241\1\103\13\0\1\350\17\0\4\241\2\0"+
    "\1\247\107\0\3\247\1\250\4\247\1\0\1\247\1\0"+
    "\1\247\1\0\1\247\31\0\4\247\33\0\4\247\20\0"+
    "\1\351\33\0\1\351\56\0\1\352\33\0\1\352\35\0"+
    "\4\255\1\0\1\256\2\0\1\257\6\0\1\353\1\0"+
    "\1\354\11\0\1\355\1\356\1\0\1\357\1\0\1\360"+
    "\1\361\1\362\1\363\5\0\1\257\1\0\1\353\1\0"+
    "\1\354\11\0\1\355\1\356\1\0\1\357\1\0\1\360"+
    "\1\361\1\362\1\363\6\0\1\360\1\255\35\0\1\364"+
    "\33\0\1\364\22\0\4\257\1\0\1\365\11\0\1\353"+
    "\1\0\1\354\11\0\1\355\1\356\1\0\1\357\1\0"+
    "\1\360\1\361\1\362\1\363\7\0\1\353\1\0\1\354"+
    "\11\0\1\355\1\356\1\0\1\357\1\0\1\360\1\361"+
    "\1\362\1\363\6\0\1\360\1\257\32\0\1\366\33\0"+
    "\1\366\23\0\1\366\36\0\1\367\33\0\1\367\46\0"+
    "\1\155\33\0\1\155\22\0\1\155\12\0\1\370\7\0"+
    "\1\155\3\0\1\155\11\0\1\155\15\0\1\155\3\0"+
    "\1\155\11\0\1\155\20\0\3\152\1\153\6\152\1\0"+
    "\1\152\1\0\2\152\13\0\1\371\14\0\4\152\13\0"+
    "\1\371\17\0\7\152\1\153\6\152\1\0\1\152\1\0"+
    "\2\152\13\0\1\372\14\0\4\152\13\0\1\372\17\0"+
    "\7\152\1\153\6\152\1\0\1\152\1\0\2\152\13\0"+
    "\1\373\14\0\4\152\13\0\1\373\17\0\7\152\1\153"+
    "\6\152\1\0\1\152\1\0\2\152\13\0\1\374\14\0"+
    "\4\152\13\0\1\374\17\0\4\152\1\0\4\272\1\0"+
    "\1\273\20\0\1\103\33\0\1\103\22\0\1\103\1\0"+
    "\1\272\35\0\1\375\33\0\1\375\56\0\1\376\33\0"+
    "\1\376\35\0\1\377\130\0\1\u0100\33\0\1\u0100\57\0"+
    "\1\u0101\33\0\1\u0101\32\0\1\u0102\137\0\1\200\33\0"+
    "\1\200\11\0\1\200\3\0\4\302\4\0\1\304\2\0"+
    "\1\26\1\0\1\305\33\0\1\304\35\0\1\302\2\0"+
    "\4\302\4\0\1\304\2\0\1\26\1\0\1\305\22\0"+
    "\1\307\10\0\1\304\22\0\1\307\11\0\1\307\1\302"+
    "\2\0\4\304\7\0\1\26\1\0\1\u0103\71\0\1\304"+
    "\37\0\1\u0104\33\0\1\u0104\62\0\1\u0105\33\0\1\u0105"+
    "\35\0\1\u0106\33\0\1\u0106\55\0\1\u0107\3\0\1\u0108"+
    "\27\0\1\u0107\3\0\1\u0108\22\0\1\u0108\40\0\1\u0109"+
    "\33\0\1\u0109\41\0\1\u010a\14\0\1\314\16\0\1\u010a"+
    "\14\0\1\314\56\0\1\u010b\33\0\1\u010b\41\0\1\u010c"+
    "\33\0\1\u010c\34\0\1\316\151\0\1\u010d\33\0\1\u010d"+
    "\15\0\1\321\144\0\1\u010e\33\0\1\u010e\47\0\1\214"+
    "\33\0\1\214\22\0\1\214\12\0\1\u010f\7\0\1\214"+
    "\3\0\1\214\11\0\1\214\15\0\1\214\3\0\1\214"+
    "\11\0\1\214\47\0\1\117\33\0\1\117\22\0\1\117"+
    "\12\0\1\114\7\0\1\117\3\0\1\117\11\0\1\117"+
    "\15\0\1\117\3\0\1\117\11\0\1\117\22\0\1\330"+
    "\126\0\1\u0110\5\0\1\u0111\25\0\1\u0110\5\0\1\u0111"+
    "\64\0\1\u0112\33\0\1\u0112\50\0\1\111\33\0\1\111"+
    "\22\0\1\111\26\0\1\u0113\33\0\1\u0113\72\0\1\135"+
    "\33\0\1\135\56\0\1\u0114\33\0\1\u0114\11\0\1\u0114"+
    "\31\0\1\u0115\33\0\1\u0115\22\0\1\u0115\32\0\1\124"+
    "\33\0\1\124\22\0\1\124\12\0\1\u0116\7\0\1\124"+
    "\3\0\1\124\11\0\1\124\15\0\1\124\3\0\1\124"+
    "\11\0\1\124\60\0\1\u0117\33\0\1\u0117\55\0\1\u0118"+
    "\33\0\1\u0118\40\0\1\u0119\33\0\1\u0119\73\0\1\u010d"+
    "\33\0\1\u010d\11\0\1\u010d\31\0\1\244\33\0\1\244"+
    "\22\0\1\244\12\0\1\u011a\7\0\1\244\3\0\1\244"+
    "\11\0\1\244\15\0\1\244\3\0\1\244\11\0\1\244"+
    "\61\0\1\u011b\33\0\1\u011b\11\0\1\u011b\30\0\1\u011c"+
    "\33\0\1\u011c\56\0\1\u011d\33\0\1\u011d\22\0\1\u011d"+
    "\26\0\1\u011e\17\0\1\u011f\13\0\1\u011e\17\0\1\u011f"+
    "\47\0\1\u0120\33\0\1\u0120\41\0\1\u0121\33\0\1\u0121"+
    "\77\0\1\u0122\33\0\1\u0122\35\0\1\u0123\33\0\1\u0123"+
    "\55\0\1\u0124\33\0\1\u0124\66\0\1\u0125\33\0\1\u0125"+
    "\50\0\1\u0126\33\0\1\u0126\22\0\1\u0126\23\0\1\u0127"+
    "\33\0\1\u0127\71\0\1\u0128\33\0\1\u0128\55\0\1\u0129"+
    "\33\0\1\u0129\37\0\1\u012a\102\0\1\u012b\7\0\1\155"+
    "\3\0\1\155\11\0\1\155\15\0\1\155\3\0\1\155"+
    "\11\0\1\155\27\0\1\161\7\0\1\155\3\0\1\155"+
    "\11\0\1\155\15\0\1\155\3\0\1\155\11\0\1\155"+
    "\27\0\1\u012c\7\0\1\155\3\0\1\155\11\0\1\155"+
    "\15\0\1\155\3\0\1\155\11\0\1\155\27\0\1\u012d"+
    "\7\0\1\155\3\0\1\155\11\0\1\155\15\0\1\155"+
    "\3\0\1\155\11\0\1\155\40\0\1\u012e\33\0\1\u012e"+
    "\71\0\1\u012f\33\0\1\u012f\40\0\30\u0130\3\0\1\u0130"+
    "\55\0\1\23\142\0\1\u0131\100\0\1\u0132\33\0\1\u0132"+
    "\60\0\1\u0133\33\0\1\u0133\11\0\1\u0133\41\0\1\200"+
    "\33\0\1\200\45\0\1\u0134\33\0\1\u0134\22\0\1\u0134"+
    "\25\0\1\u0135\33\0\1\u0135\77\0\1\u0136\33\0\1\u0136"+
    "\45\0\1\u0137\33\0\1\u0137\56\0\1\u0137\33\0\1\u0137"+
    "\54\0\1\u0138\33\0\1\u0138\62\0\1\u0137\33\0\1\u0137"+
    "\11\0\1\u0137\21\0\1\u0139\3\0\1\u0139\3\0\1\u0139"+
    "\5\0\1\u0139\15\0\1\u0139\3\0\1\u0139\3\0\1\u0139"+
    "\5\0\1\u0139\14\0\1\u0139\44\0\1\u013a\33\0\1\u013a"+
    "\11\0\1\u013a\23\0\1\u013b\33\0\1\u013b\74\0\1\u013c"+
    "\33\0\1\u013c\35\0\1\u013d\33\0\1\u013d\71\0\1\231"+
    "\33\0\1\231\50\0\1\u013e\33\0\1\u013e\22\0\1\u013e"+
    "\40\0\1\u013f\33\0\1\u013f\43\0\1\u0140\33\0\1\u0140"+
    "\67\0\1\u0140\33\0\1\u0140\62\0\1\320\33\0\1\320"+
    "\51\0\1\u0141\33\0\1\u0141\25\0\1\u0142\14\0\1\u0143"+
    "\33\0\1\u0143\25\0\1\144\45\0\1\u0144\33\0\1\u0144"+
    "\11\0\1\u0144\23\0\1\u0145\33\0\1\u0145\71\0\1\u0125"+
    "\33\0\1\u0125\54\0\1\u0145\7\0\1\u0146\23\0\1\u0145"+
    "\7\0\1\u0146\53\0\1\u0146\33\0\1\u0146\32\0\1\u0147"+
    "\7\0\1\u0148\23\0\1\u0147\7\0\1\u0148\22\0\1\u0148"+
    "\36\0\1\u0149\2\0\1\u014a\6\0\1\u014b\21\0\1\u0149"+
    "\2\0\1\u014a\6\0\1\u014b\50\0\1\u014c\33\0\1\u014c"+
    "\37\0\1\u014d\21\0\1\u014e\11\0\1\u014d\21\0\1\u014e"+
    "\32\0\1\u014f\33\0\1\u014f\75\0\1\u0150\33\0\1\u0150"+
    "\11\0\1\u0150\22\0\1\u0151\33\0\1\u0151\52\0\1\u0152"+
    "\117\0\1\51\10\0\1\u0153\22\0\1\53\10\0\1\u0153"+
    "\62\0\1\u0154\33\0\1\u0154\11\0\1\u0154\25\0\1\272"+
    "\3\0\1\272\27\0\1\272\3\0\1\272\22\0\1\272"+
    "\20\0\1\u0155\1\0\30\u0130\3\0\1\u0130\37\0\47\u0156"+
    "\1\0\42\u0156\41\0\1\u0157\33\0\1\u0157\11\0\1\u0157"+
    "\22\0\1\u0158\33\0\1\u0158\56\0\1\u0159\33\0\1\u0159"+
    "\35\0\3\302\1\u015a\4\0\1\304\4\0\1\305\15\0"+
    "\1\u015b\1\u015c\2\0\1\u015d\1\u015e\1\u015f\2\0\1\314"+
    "\4\0\1\304\15\0\1\u015b\1\u015c\2\0\1\u015d\1\u015e"+
    "\1\u015f\2\0\1\314\5\0\1\u015e\1\302\2\0\4\302"+
    "\4\0\1\304\4\0\1\305\15\0\1\u015b\1\u0160\2\0"+
    "\1\u015d\11\0\1\304\15\0\1\u015b\1\u0160\2\0\1\u015d"+
    "\13\0\1\302\2\0\4\302\4\0\1\304\4\0\1\305"+
    "\33\0\1\304\35\0\1\302\30\0\1\306\33\0\1\306"+
    "\22\0\1\306\3\0\3\u0161\1\u0162\6\u0161\1\0\1\u0161"+
    "\1\0\2\u0161\30\0\4\u0161\33\0\4\u0161\27\0\1\u0163"+
    "\33\0\1\u0163\22\0\1\u0163\46\0\1\u0164\33\0\1\u0164"+
    "\31\0\1\u0165\33\0\1\u0165\77\0\1\u0166\33\0\1\u0166"+
    "\11\0\1\u0166\35\0\1\u010d\33\0\1\u010d\56\0\1\204"+
    "\33\0\1\204\21\0\3\130\1\131\4\130\1\0\1\130"+
    "\1\0\1\130\1\0\1\130\31\0\4\130\33\0\4\130"+
    "\16\0\1\142\116\0\1\u0167\33\0\1\u0167\34\0\1\142"+
    "\1\0\1\142\1\0\1\143\1\144\1\142\77\0\1\142"+
    "\30\0\1\u0168\33\0\1\u0168\22\0\1\u0168\32\0\1\u0169"+
    "\5\0\1\u016a\25\0\1\u0169\5\0\1\u016a\14\0\1\u0169"+
    "\45\0\1\361\33\0\1\361\47\0\1\u016b\33\0\1\u016b"+
    "\44\0\1\u016c\33\0\1\u016c\74\0\1\u014b\33\0\1\u014b"+
    "\35\0\1\u014d\4\0\1\u0169\26\0\1\u014d\4\0\1\u0169"+
    "\22\0\1\u0169\7\0\1\u016a\15\0\1\u014d\21\0\1\u014e"+
    "\11\0\1\u014d\21\0\1\u014e\34\0\1\u011e\33\0\1\u011e"+
    "\61\0\1\u011e\33\0\1\u011e\22\0\1\u011e\32\0\1\u016d"+
    "\33\0\1\u016d\22\0\1\u016d\41\0\1\u016e\33\0\1\u016e"+
    "\60\0\1\u016f\33\0\1\u016f\11\0\1\u016f\21\0\1\u0170"+
    "\1\0\1\u0171\5\0\1\u0172\2\0\1\u0173\3\0\1\u0174"+
    "\2\0\1\u0175\11\0\1\u0170\1\0\1\u0171\5\0\1\u0172"+
    "\2\0\1\u0173\3\0\1\u0174\2\0\1\u0175\10\0\1\u0172"+
    "\1\u0175\37\0\1\145\33\0\1\145\56\0\1\u0176\33\0"+
    "\1\u0176\17\0\2\u0155\2\0\1\u0155\1\0\7\u0155\1\u0177"+
    "\31\u0155\1\0\1\u0155\1\0\40\u0155\47\u0156\1\0\1\u0156"+
    "\1\u0178\40\u0156\20\0\1\u0179\33\0\1\u0179\71\0\1\u017a"+
    "\33\0\1\u017a\50\0\1\u017b\33\0\1\u017b\22\0\1\u017b"+
    "\4\0\4\302\4\0\1\304\2\0\1\26\1\0\1\305"+
    "\21\0\1\u015d\1\u015e\10\0\1\304\21\0\1\u015d\1\u015e"+
    "\11\0\1\u015e\1\302\30\0\1\u017c\13\0\1\u0137\17\0"+
    "\1\u017c\13\0\1\u0137\6\0\1\u017c\45\0\1\u017d\1\u017e"+
    "\1\311\31\0\1\u017d\1\u017e\1\311\34\0\1\u017f\33\0"+
    "\1\u017f\55\0\1\u0180\33\0\1\u0180\70\0\1\314\33\0"+
    "\1\314\62\0\1\u017e\33\0\1\u017e\14\0\1\u0161\155\0"+
    "\1\u0181\33\0\1\u0181\51\0\1\u0182\33\0\1\u0182\57\0"+
    "\1\u0182\33\0\1\u0182\47\0\1\u0183\33\0\1\u0183\36\0"+
    "\1\u0184\5\0\1\u0185\25\0\1\u0184\5\0\1\u0185\53\0"+
    "\1\u011d\33\0\1\u011d\55\0\1\u0186\33\0\1\u0186\54\0"+
    "\1\u014d\33\0\1\u014d\55\0\1\u014d\14\0\1\u0187\4\0"+
    "\1\u014e\11\0\1\u014d\14\0\1\u0187\4\0\1\u014e\43\0"+
    "\1\u0144\33\0\1\u0144\46\0\1\u0188\33\0\1\u0188\50\0"+
    "\1\255\131\0\1\u0189\33\0\1\u0189\53\0\1\u018a\3\0"+
    "\1\u018b\27\0\1\u018a\3\0\1\u018b\52\0\1\u018c\33\0"+
    "\1\u018c\62\0\1\u018d\33\0\1\u018d\36\0\1\u018e\33\0"+
    "\1\u018e\51\0\1\u018f\15\0\1\u0190\15\0\1\u018f\15\0"+
    "\1\u0190\43\0\1\u0191\33\0\1\u0191\50\0\1\272\107\0"+
    "\1\u0192\75\0\14\u0156\1\u0193\32\u0156\1\0\1\u0156\1\u0178"+
    "\40\u0156\34\0\1\u0194\33\0\1\u0194\27\0\1\302\147\0"+
    "\1\u0137\33\0\1\u0137\54\0\1\u0195\33\0\1\u0195\33\0"+
    "\1\u010a\33\0\1\u010a\56\0\1\u0137\33\0\1\u0137\75\0"+
    "\1\u0196\33\0\1\u0196\42\0\1\u0197\33\0\1\u0197\22\0"+
    "\1\u0197\32\0\1\u0198\33\0\1\u0198\22\0\1\u0198\26\0"+
    "\1\u0183\33\0\1\u0183\50\0\1\224\114\0\1\u0199\33\0"+
    "\1\u0199\74\0\1\u019a\33\0\1\u019a\56\0\1\u019b\33\0"+
    "\1\u019b\11\0\1\u019b\45\0\1\u019c\33\0\1\u019c\53\0"+
    "\1\u019d\33\0\1\u019d\11\0\1\u019d\20\0\1\257\127\0"+
    "\1\u019e\33\0\1\u019e\63\0\1\u019f\33\0\1\u019f\46\0"+
    "\1\u01a0\33\0\1\u01a0\45\0\1\u01a1\33\0\1\u01a1\74\0"+
    "\1\u01a2\33\0\1\u01a2\53\0\1\u01a3\33\0\1\u01a3\44\0"+
    "\1\u01a4\33\0\1\u01a4\22\0\1\u01a4\37\0\1\u01a5\33\0"+
    "\1\u01a5\35\0\1\u0192\34\0\1\u01a6\40\0\14\u0156\1\u0193"+
    "\1\u01a7\31\u0156\1\0\1\u0156\1\u0178\40\u0156\6\0\1\304"+
    "\142\0\1\u0137\33\0\1\u0137\17\0\4\302\4\0\1\304"+
    "\4\0\1\305\1\u017c\32\0\1\304\1\u017c\34\0\1\302"+
    "\43\0\1\312\1\u01a8\1\311\1\314\30\0\1\312\1\u01a8"+
    "\1\311\1\314\45\0\1\u01a9\33\0\1\u01a9\63\0\1\u01aa"+
    "\33\0\1\u01aa\31\0\1\u01ab\33\0\1\u01ab\42\0\1\u016a"+
    "\15\0\1\u014d\33\0\1\u014d\62\0\1\u0169\33\0\1\u0169"+
    "\22\0\1\u0169\7\0\1\u01ac\13\0\1\353\16\0\1\u01ad"+
    "\1\0\1\u01ae\1\u01af\11\0\1\353\16\0\1\u01ad\1\0"+
    "\1\u01ae\1\u01af\10\0\1\u01ae\25\0\1\u01b0\33\0\1\u01b0"+
    "\61\0\1\u01b1\33\0\1\u01b1\22\0\1\u01b1\36\0\1\u01b2"+
    "\33\0\1\u01b2\55\0\1\u01b3\33\0\1\u01b3\64\0\1\u01b4"+
    "\33\0\1\u01b4\32\0\1\u01b5\22\0\1\u01b6\10\0\1\u01b5"+
    "\22\0\1\u01b6\47\0\1\u01b7\33\0\1\u01b7\63\0\1\u01b8"+
    "\33\0\1\u01b8\13\0\2\u01a7\2\u0156\1\u01a7\1\u0156\7\u01a7"+
    "\1\u01b9\31\u01a7\1\0\1\u01a7\1\u0178\40\u01a7\37\0\1\u01ba"+
    "\33\0\1\u01ba\52\0\1\u01bb\33\0\1\u01bb\63\0\1\u01bc"+
    "\33\0\1\u01bc\57\0\1\u01bc\33\0\1\u01bc\31\0\1\353"+
    "\16\0\1\u01ad\1\0\1\u01ae\1\u01af\11\0\1\353\16\0"+
    "\1\u01ad\1\0\1\u01ae\1\u01af\10\0\1\u01ae\45\0\1\u01bd"+
    "\33\0\1\u01bd\35\0\1\u01be\33\0\1\u01be\55\0\1\u01bf"+
    "\33\0\1\u01bf\77\0\1\u01b3\33\0\1\u01b3\31\0\1\u01c0"+
    "\33\0\1\u01c0\53\0\1\u01b3\33\0\1\u01b3\53\0\1\u01c1"+
    "\117\0\1\u01c2\33\0\1\u01c2\57\0\1\u01c3\33\0\1\u01c3"+
    "\53\0\1\u01b3\33\0\1\u01b3\74\0\1\u01b3\33\0\1\u01b3"+
    "\36\0\1\u01c4\33\0\1\u01c4\32\0\17\u0156\1\u01c5\3\u0156"+
    "\1\u01c6\2\u0156\1\u01c7\4\u0156\1\u01c8\4\u0156\1\u01c9\1\u0156"+
    "\1\u01ca\2\u0156\1\u01cb\1\u0156\1\0\1\u0156\1\u0178\1\u0156"+
    "\1\u01c5\3\u0156\1\u01c6\2\u0156\1\u01c7\4\u0156\1\u01c8\4\u0156"+
    "\1\u01c9\1\u0156\1\u01ca\2\u0156\1\u01cb\10\u0156\34\0\1\u01cc"+
    "\33\0\1\u01cc\44\0\1\u01cd\33\0\1\u01cd\55\0\1\u01ce"+
    "\33\0\1\u01ce\51\0\1\u01cf\7\0\1\u01d0\23\0\1\u01cf"+
    "\7\0\1\u01d0\22\0\1\u01d0\36\0\1\u0149\33\0\1\u0149"+
    "\62\0\1\u0144\33\0\1\u0144\47\0\1\u01b6\33\0\1\u01b6"+
    "\23\0\2\u01c1\2\0\1\u01c1\1\0\7\u01c1\1\u01d1\31\u01c1"+
    "\1\0\1\u01c1\1\0\40\u01c1\40\0\1\u01b3\33\0\1\u01b3"+
    "\55\0\1\u01d2\33\0\1\u01d2\51\0\1\u01d3\33\0\1\u01d3"+
    "\21\0\33\u0156\1\u01d4\13\u0156\1\0\1\u0156\1\u0178\15\u0156"+
    "\1\u01d4\43\u0156\1\u01d5\10\u0156\1\u01d6\7\u0156\1\u01d7\4\u0156"+
    "\1\0\1\u0156\1\u0178\3\u0156\1\u01d5\10\u0156\1\u01d6\7\u0156"+
    "\1\u01d7\51\u0156\1\u01d8\10\u0156\1\0\1\u0156\1\u0178\20\u0156"+
    "\1\u01d8\42\u0156\1\u01d9\23\u0156\1\0\1\u0156\1\u0178\5\u0156"+
    "\1\u01d9\55\u0156\1\u01da\23\u0156\1\0\1\u0156\1\u0178\5\u0156"+
    "\1\u01da\66\u0156\1\u01db\12\u0156\1\0\1\u0156\1\u0178\16\u0156"+
    "\1\u01db\44\u0156\1\u01dc\23\u0156\1\0\1\u0156\1\u0178\5\u0156"+
    "\1\u01dc\32\u0156\27\0\1\u017c\33\0\1\u017c\22\0\1\u017c"+
    "\4\0\4\u01cd\1\0\1\u01dd\12\0\1\u01de\11\0\1\u01df"+
    "\21\0\1\u01de\11\0\1\u01df\20\0\1\u01cd\17\0\1\144"+
    "\135\0\1\u01af\33\0\1\u01af\47\0\1\u01e0\33\0\1\u01e0"+
    "\35\0\1\u01e1\114\0\1\u01e2\33\0\1\u01e2\57\0\1\u01b6"+
    "\33\0\1\u01b6\34\0\33\u0156\1\u01e3\13\u0156\1\0\1\u0156"+
    "\1\u0178\15\u0156\1\u01e3\56\u0156\1\u01e4\12\u0156\1\0\1\u0156"+
    "\1\u0178\16\u0156\1\u01e4\42\u0156\1\u01e5\25\u0156\1\0\1\u0156"+
    "\1\u0178\3\u0156\1\u01e5\74\u0156\1\u01e6\6\u0156\1\0\1\u0156"+
    "\1\u0178\22\u0156\1\u01e6\34\u0156\1\u01e7\27\u0156\1\0\1\u0156"+
    "\1\u0178\1\u0156\1\u01e7\100\u0156\1\u01e8\4\u0156\1\0\1\u0156"+
    "\1\u0178\24\u0156\1\u01e8\55\u0156\1\u01e9\4\u0156\1\0\1\u0156"+
    "\1\u0178\24\u0156\1\u01e9\42\u0156\1\u01ea\17\u0156\1\0\1\u0156"+
    "\1\u0178\11\u0156\1\u01ea\22\u0156\1\u01ea\37\u0156\1\u01eb\12\u0156"+
    "\1\0\1\u0156\1\u0178\16\u0156\1\u01eb\21\u0156\34\0\1\u01ec"+
    "\33\0\1\u01ec\56\0\1\u01ed\33\0\1\u01ed\55\0\1\u01ee"+
    "\33\0\1\u01ee\57\0\1\u01ef\33\0\1\u01ef\32\0\1\u01e1"+
    "\34\0\1\u01f0\76\0\1\u01f1\33\0\1\u01f1\17\0\35\u0156"+
    "\1\u01f2\11\u0156\1\0\1\u0156\1\u0178\17\u0156\1\u01f2\43\u0156"+
    "\1\u01f3\23\u0156\1\0\1\u0156\1\u0178\5\u0156\1\u01f3\61\u0156"+
    "\1\u01f4\17\u0156\1\0\1\u0156\1\u0178\11\u0156\1\u01f4\22\u0156"+
    "\1\u01f4\22\u0156\1\u01f5\27\u0156\1\0\1\u0156\1\u0178\1\u0156"+
    "\1\u01f5\76\u0156\1\u01f6\6\u0156\1\0\1\u0156\1\u0178\22\u0156"+
    "\1\u01f6\44\u0156\1\u01f7\17\u0156\1\0\1\u0156\1\u0178\11\u0156"+
    "\1\u01f7\22\u0156\1\u01f7\45\u0156\1\u01f8\4\u0156\1\0\1\u0156"+
    "\1\u0178\24\u0156\1\u01f8\50\u0156\1\u01f5\11\u0156\1\0\1\u0156"+
    "\1\u0178\17\u0156\1\u01f5\54\u0156\1\u01f9\12\u0156\1\0\1\u0156"+
    "\1\u0178\16\u0156\1\u01f9\21\u0156\20\0\1\u01fa\33\0\1\u01fa"+
    "\67\0\1\u01fb\33\0\1\u01fb\57\0\1\u01fc\33\0\1\u01fc"+
    "\64\0\1\u0145\33\0\1\u0145\12\0\47\u01fd\1\0\42\u01fd"+
    "\26\0\1\u01b3\33\0\1\u01b3\27\0\21\u0156\1\u01f7\25\u0156"+
    "\1\0\1\u0156\1\u0178\3\u0156\1\u01f7\76\u0156\1\u01fe\4\u0156"+
    "\1\0\1\u0156\1\u0178\24\u0156\1\u01fe\55\u0156\1\u01ff\4\u0156"+
    "\1\0\1\u0156\1\u0178\24\u0156\1\u01ff\51\u0156\1\u01f7\10\u0156"+
    "\1\0\1\u0156\1\u0178\20\u0156\1\u01f7\44\u0156\1\u0200\21\u0156"+
    "\1\0\1\u0156\1\u0178\7\u0156\1\u0200\45\u0156\1\u0201\31\u0156"+
    "\1\0\1\u0156\1\u0178\63\u0156\1\u0202\23\u0156\1\0\1\u0156"+
    "\1\u0178\5\u0156\1\u0202\51\u0156\1\u01f7\27\u0156\1\0\1\u0156"+
    "\1\u0178\1\u0156\1\u01f7\36\u0156\41\0\1\u0203\33\0\1\u0203"+
    "\11\0\1\u0203\34\0\1\u0204\33\0\1\u0204\60\0\1\u0205"+
    "\33\0\1\u0205\20\0\47\u01fd\1\u0206\42\u01fd\34\u0156\1\u0207"+
    "\12\u0156\1\0\1\u0156\1\u0178\16\u0156\1\u0207\61\u0156\1\u01f9"+
    "\6\u0156\1\0\1\u0156\1\u0178\22\u0156\1\u01f9\34\u0156\1\u01d7"+
    "\27\u0156\1\0\1\u0156\1\u0178\1\u0156\1\u01d7\72\u0156\1\u0208"+
    "\12\u0156\1\0\1\u0156\1\u0178\16\u0156\1\u0208\53\u0156\1\u01f7"+
    "\14\u0156\1\0\1\u0156\1\u0178\14\u0156\1\u01f7\23\u0156\36\0"+
    "\1\u0209\33\0\1\u0209\42\0\1\u020a\33\0\1\u020a\53\0"+
    "\1\u020b\33\0\1\u020b\47\0\1\u020c\76\0\23\u0156\1\u020d"+
    "\23\u0156\1\0\1\u0156\1\u0178\5\u0156\1\u020d\63\u0156\1\u020e"+
    "\15\u0156\1\0\1\u0156\1\u0178\13\u0156\1\u020e\23\u0156\1\u020e"+
    "\16\0\1\u01cd\120\0\1\u020f\33\0\1\u020f\70\0\1\u0210"+
    "\33\0\1\u0210\47\0\1\u0211\33\0\1\u0211\23\0\41\u0156"+
    "\1\u01f7\5\u0156\1\0\1\u0156\1\u0178\23\u0156\1\u01f7\11\u0156"+
    "\1\u01f7\34\u0156\1\u0212\14\u0156\1\0\1\u0156\1\u0178\14\u0156"+
    "\1\u0212\23\u0156\27\0\1\u0213\33\0\1\u0213\22\0\1\u0213"+
    "\22\0\1\u0214\33\0\1\u0214\67\0\1\u0215\33\0\1\u0215"+
    "\23\0\1\u0215\47\u0156\1\u0216\1\u0156\1\u0178\40\u0156\17\0"+
    "\1\u0217\33\0\1\u0217\100\0\1\u0218\33\0\1\u0218\47\0"+
    "\1\u0219\33\0\1\u0219\53\0\1\u021a\33\0\1\u021a\52\0"+
    "\1\u021b\33\0\1\u021b\22\0\1\u021b\54\0\1\u021c\63\0"+
    "\1\u021d\33\0\1\u021d\53\0\1\u021e\33\0\1\u021e\34\0"+
    "\3\u021f\1\u0220\10\u021f\1\0\2\u021f\30\0\4\u021f\33\0"+
    "\4\u021f\17\0\1\u021d\33\0\1\u021d\40\0\1\u021f\107\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[37074];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\6\0\6\1\1\11\3\1\1\11\1\1\3\0\1\1"+
    "\43\0\1\11\6\0\1\11\1\1\1\11\3\0\1\1"+
    "\4\0\1\1\10\0\1\1\2\0\1\11\1\1\10\0"+
    "\1\11\3\0\1\1\1\0\1\11\1\0\1\11\1\1"+
    "\3\0\1\1\1\0\1\1\25\0\1\11\1\1\1\11"+
    "\1\1\3\0\1\1\6\0\1\1\1\11\1\1\11\0"+
    "\1\11\1\1\3\0\1\1\1\11\2\1\6\0\1\11"+
    "\2\0\1\11\10\0\1\1\20\0\1\1\1\11\1\1"+
    "\1\0\1\11\1\1\5\0\1\11\1\1\36\0\1\1"+
    "\7\0\1\11\16\0\1\1\6\0\1\1\3\0\1\1"+
    "\20\0\3\1\26\0\1\11\7\0\1\1\24\0\1\11"+
    "\1\1\70\0\1\1\1\0\1\1\10\0\1\11\157\0"+
    "\1\11\5\0\1\11\2\0\1\11\1\1";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[544];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S024_Stopwords() { }



  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S024_Stopwords(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 32: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 33: break;
          case 3:
            { annotate(new AnnotationEntity(Entity.STPW), "TO", true, true, false);
            }
          // fall through
          case 34: break;
          case 4:
            { addText(); position++;
            }
          // fall through
          case 35: break;
          case 5:
            { annotate(new AnnotationEntity(Entity.STPW), "OF", true, false, false);
            }
          // fall through
          case 36: break;
          case 6:
            { annotate(new AnnotationEntity(Entity.STPW), "DET", true, false, false);
            }
          // fall through
          case 37: break;
          case 7:
            { annotate(new AnnotationEntity(Entity.STPW), "OR", true, true, false);
            }
          // fall through
          case 38: break;
          case 8:
            { annotate(new AnnotationEntity(Entity.STPW), "AND", true, true, false);
            }
          // fall through
          case 39: break;
          case 9:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 2;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 4;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.STPW), "AND", true, false, false);
            }
          // fall through
          case 40: break;
          case 10:
            { annotate(new AnnotationEntity(Entity.STPW), "DET", true, true, false);
            }
          // fall through
          case 41: break;
          case 11:
            // lookahead expression with fixed lookahead length
            zzMarkedPos = Character.offsetByCodePoints
                (zzBufferL, zzStartRead, zzEndRead - zzStartRead, zzMarkedPos, -1);
            { addText(); position++;
            }
          // fall through
          case 42: break;
          case 12:
            { annotate(new AnnotationEntity(Entity.STPW), "OF", true, true, false);
            }
          // fall through
          case 43: break;
          case 13:
            { annotate(new AnnotationEntity(Entity.STPW), "FROM", true, true, false);
            }
          // fall through
          case 44: break;
          case 14:
            { annotate(new AnnotationEntity(Entity.STPW), "IN", true, true, false);
            }
          // fall through
          case 45: break;
          case 15:
            { annotate(new AnnotationEntity(Entity.STPW), "ON", true, true, false);
            }
          // fall through
          case 46: break;
          case 16:
            { annotate(new AnnotationEntity(Entity.STPW), "INDET", true, true, false);
            }
          // fall through
          case 47: break;
          case 17:
            { annotate(new AnnotationEntity(Entity.STPW), "INDET", true, false, false);
            }
          // fall through
          case 48: break;
          case 18:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 2;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 5;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { addText(); position+=yylength();
            }
          // fall through
          case 49: break;
          case 19:
            // lookahead expression with fixed lookahead length
            zzMarkedPos = Character.offsetByCodePoints
                (zzBufferL, zzStartRead, zzEndRead - zzStartRead, zzMarkedPos, -2);
            { addText(); position++;
            }
          // fall through
          case 50: break;
          case 20:
            { annotate(new AnnotationEntity(Entity.STPW), "TO", true, false, false);
            }
          // fall through
          case 51: break;
          case 21:
            { annotate(new AnnotationEntity(Entity.STPW), "", true, true, false);
            }
          // fall through
          case 52: break;
          case 22:
            { annotate(new AnnotationEntity(Entity.STPW), "WITH", true, true, false);
            }
          // fall through
          case 53: break;
          case 23:
            { annotate(new AnnotationEntity(Entity.STPW), "ACROSS", true, true, false);
            }
          // fall through
          case 54: break;
          case 24:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 55: break;
          case 25:
            { annotate(new AnnotationEntity(Entity.STPW), "FROM", true, false, false);
            }
          // fall through
          case 56: break;
          case 26:
            { annotate(new AnnotationEntity(Entity.STPW), "IN", true, false, false);
            }
          // fall through
          case 57: break;
          case 27:
            { annotate(new AnnotationEntity(Entity.STPW), "ON", true, false, false);
            }
          // fall through
          case 58: break;
          case 28:
            { annotate(new AnnotationEntity(Entity.MISC), "SAME", true, true, false);
            }
          // fall through
          case 59: break;
          case 29:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 60: break;
          case 30:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 2;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 3;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.STPW), "AND", true, false, false);
            }
          // fall through
          case 61: break;
          case 31:
            { annotate(new AnnotationEntity(Entity.MISC), "", true, true, false);
            }
          // fall through
          case 62: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S024_Stopwords [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S024_Stopwords scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S024_Stopwords(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
